# libnbds
#
# Copyright (C) 2013-2014 Paweł Dziepak

AUTOMAKE_OPTIONS = 1.4 foreign

LIBS += $(PTHREAD_LIBS)
CFLAGS += $(PTHREAD_CFLAGS)
CC = $(PTHREAD_CC)

AM_CFLAGS = -Wall -Wextra -Werror -pedantic --std=gnu99 -I../src
LDADD = ../src/libnbds.la

TESTS =	\
	mpsc_queue_s	\
	mpsc_queue_m	\
	spmc_queue_s	\
	spmc_queue_m	\
	spsc_queue_s	\
	spsc_queue_m

check_PROGRAMS = $(TESTS)
